// removed during major rewrite 2mai10

//! Break one spectrum into several spectra.

void NManip::PtsBreak()
{
    NOlm::SelAssert();

    static string pSel = "";
    pSel = wask( "Subspectra start at entry numbers", pSel );
    CList pLis( pSel );

    NOlm::IterateD fiter;
    for( POld fin = fiter();; ) {
        POld fout( new COld( *fin ) );
        fout->V.clear();
        fout->ZCo.push_back(CCoord(fin->xco.name + "_break", fin->xco.unit));
        fout->lDoc.push_back( "mpb " + pSel );
		
        for(uint j=0; j<fin->nJ(); ++j) {

            uint np = fin->nPts(j);
            pLis.evaluate( 0, np-1 );

            const PSpec sin = fin->VS(j);
			
            uint i0, ib, ii;
            // OBSOLETE: this is the last usage of ListIter.
            // eliminate as soon as possible
            ListIter piter(pLis);
            piter(&i0);
            do {
                if (!(ii = piter(&ib)))
                    ib = np;
                // new spectrum from i0 to ib-1:
                //printf("DEB subspectrum from %d to %d-1\n",i0,ib);
                if (ib<i0)
                    throw "invalid break "+strg(ib)+" < "+strg(i0);
                PSpec sout( new CSpec );
                for (uint i=i0; i<ib; ++i)
                    sout->push_xy(sin->x[i], sin->y[i]);
                sout->z = sin->z;
                sout->z.push_back(sout->x[0]);
                fout->V.push_back(sout);
                i0 = ib;
            } while (ii);
        }
        NOlm::OloAdd( fout );
    }
}

